This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 456627 - CAN'T USE DRAC4 VIRTUAL CDROM IN RHEL5.2
CAN'T USE DRAC4 VIRTUAL CDROM IN RHEL5.2
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
i386 Linux
low Severity medium
: rc
: ---
Assigned To: Red Hat Kernel Manager
Martin Jenner
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-24 22:42 EDT by Jason Luo
Modified: 2008-12-02 20:58 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-29 07:53:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Luo 2008-07-24 22:42:31 EDT
Description of problem:
EL5 kernel (2.6.18-92) cannot detect DRAC4 Virtual CDROM.
On EL4, it's seen as IDE device, hdf.

Version-Release number of selected component (if applicable):


How reproducible:
everytimes

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jason Luo 2008-07-24 22:50:07 EDT
In rhel5.2, drivers/ide/pci/siimage.c don't support DRAC4 again,
drivers/ata/pata_sil680.c do it. so, we should enable  pata_sil680 as a module
in kernel config file.
Comment 2 Jason Luo 2008-07-24 23:14:25 EDT
and please make pata_sil680.ko included in isolinux/initrd.img, thanks
Comment 3 Prarit Bhargava 2008-07-28 08:40:12 EDT
Please be advised, that Bugzilla is not a support tool. It is an
Engineering and Community tool. So although all changes to Enterprise
Linux go through Bugzilla and Red Hat considers issues directly entered
into Bugzilla valuable feedback, there is no SLA around it.

If this is a production issue, please report it to your Red Hat Support contact.

Thank you.
Comment 4 Jason Luo 2008-08-11 21:51:49 EDT
(In reply to comment #3)
> Please be advised, that Bugzilla is not a support tool. It is an
> Engineering and Community tool. So although all changes to Enterprise
> Linux go through Bugzilla and Red Hat considers issues directly entered
> into Bugzilla valuable feedback, there is no SLA around it.
> 
> If this is a production issue, please report it to your Red Hat Support contact.
> 
> Thank you.
> 


I think it a bug, it's a kernel .config bug, although it's not a source code bug,  it's a configuration bug.
Comment 5 Greg Marsden 2008-08-14 20:18:12 EDT
This is a bug. Looks to be covered by bug 212391.

Jason's comments regarding including the sil680 module are correct.
Comment 6 Riaan van Niekerk 2008-09-04 06:13:47 EDT
More info, tying things together:

The Red Hat Knowledge Base article that mentions this is
http://kbase.redhat.com/faq/FAQ_103_13145.shtm

I contacted Red Hat Support as per the KB article, and according to service request #1852342: The test package is expected to be made available with the release of RHEL5.3 beta, (which is currently planned for release early Oct 2008, but obviously, can change). 

So not sure if there will be a separate test package, or if the fix will be in the RHEL 5.3 Beta ISO images (strongly hoping the latter).
Comment 7 Joe Jin 2008-12-02 20:58:39 EST
Have checked RHEL 5.3 beta ISO image, and found the module have included of the kernel.
However, it was not worked when try to do a install.
Checked isolinux/initrd.img and found the module was not included by initrd.img
is not it need to include it in initrd.img?

Note You need to log in before you can comment on or make changes to this bug.